    module InterfacesModule
    use iso_c_binding
    implicit none

    type, bind(c) :: MyFortranStruct
        character(200, kind=C_CHAR) :: Title
        integer :: SourceNode
        integer :: EndNode
    end type

    interface

    function GetInt() bind(C, name="GetInt")
    integer :: GetInt
    end function

    function GetStruct() bind(C, name="GetStruct")
    import MyFortranStruct
    type(MyFortranStruct) :: GetStruct
    end function

    end interface
    end module